var bgbwV1 = {
    "id": "bgbwV1",
    "title": "Aufgabensammlung für nichtgewerbliche Berufliche Gymnasien (BW)",
    "description": "Es handelt sich um die Aufgaben zur Lehrplaneinheit Grundlagen der strukturierten Programmierung der offiziellen, über den Landesbildungsserver erreichbaren Aufgaben und Materialien für den neuen Bildungsplan für das Fach Informatik in der Jahrgangsstufe 1 an den nichtgewerblichen Beruflichen Gymnasien",
    "tasks": [
        {
            "id": "0",
            "pos": 1,
            "lfs": "L2.2a",
            "title": "Ausgabe von Zeichenketten (write)",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_2.1 Information Ausgabe von Daten mit document.write",
                    "url": "tasks/bgbwV1/docs/L2_2.1 Information_Ausgabe_von_Daten_document_write.pdf"
                },
                {
                    "title": "L2_2 Arbeitsauftrag Ausgabe von Zeichenketten",
                    "url": "tasks/bgbwV1/docs/L2_2 Arbeitsauftrag Ausgabe von Zeichenketten.pdf"
                }
            ],
            "task": "Schreiben Sie ein Programm, das ihre persönlichen Daten zeilenweise in der Konsole ausgibt. Benutzen Sie dabei die Funktion document.write(). Ergänzen Sie die Ausgabe nach jeder Zeile um eine weitere Leerzeile.",
            "template": `//Aufgabe 2.2a

`,
            "gui": `
    <div style="height: 240px;background-image: url('tasks/bgbwV1/img/benzinkosten.jpg');background-size:cover;">
        <div style="background-color: #fff;opacity: 0.8;">
            <h1>Benzinkostenberechnung</h1>
            Entfernung in km: <input type="text" id="Zahl1" title="Zahl1"><br>
            Preis pro Liter: <input type="text" id="Zahl2" title="Zahl2"><br>
            <input type="button" class="button" disabled="true" onclick="berechnen()" value="berechnen">
            <div style="margin-top:20px">
                <textarea id="Ergebnis" title="Ergebnis"></textarea>
        </div>
        </div>
    </div>
`,
            "guiwidth": "450px",
            "guiheight": "300px"
        },
        {
            "id": "1",
            "pos": 2,
            "lfs": "L2.2b",
            "title": "Ausgabe von Zeichenketten (alert)",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_2.1 Information Ausgabe von Daten mit alert",
                    "url": "tasks/bgbwV1/docs/L2_2.2 Information_Ausgabe_von_Daten_alert.pdf"
                },
                {
                    "title": "L2_2 Arbeitsauftrag Ausgabe von Zeichenketten",
                    "url": "tasks/bgbwV1/docs/L2_2 Arbeitsauftrag Ausgabe von Zeichenketten.pdf"
                }
            ],
            "task": "Schreiben Sie ein Programm, das ihre persönlichen Daten zeilenweise in einem Dialogfenster ausgibt. Benutzen Sie dabei die Funktion alert(). Orientieren Sie sich bei der Darstellung am nebenstehenden Arbeitsauftrag, Abschnitt 'Formdesign b)'.",
            "template": `//Aufgabe 2.2b
`
        },
        {
            "id": "2",
            "pos": 3,
            "lfs": "L2.3",
            "title": "Variablen",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_3.1 Information Variablen String",
                    "url": "tasks/bgbwV1/docs/L2_3.1 Information_Variablen_String.pdf"
                },
                {
                    "title": "L2_3.2 Information Variablen Zahlen",
                    "url": "tasks/bgbwV1/docs/L2_3.2 Information_Variablen_Zahlen.pdf"
                },
                {
                    "title": "L2_3.3 Information Variablen Wahrheitswert",
                    "url": "tasks/bgbwV1/docs/L2_3.3 Information_Variablen_Wahrheitswert.pdf"
                },
                {
                    "title": "L2_3 Arbeitsauftrag Variablen",
                    "url": "tasks/bgbwV1/docs/L2_3 Arbeitsauftrag Variablen.pdf"
                }
            ],
            "task": "Schreiben Sie ein Programm, das die Daten eines Schülers in mehreren Variablen speichert und ausgibt. Zu speichern sind: Name, Vorname, Alter, Notendurchschnitt, zweite Fremdsprache(true/false) und Musik (true/false). Diese Daten sollen anschießend zweilenweise im Browser ausgegeben werden.",
            "template": `//Aufgabe 2.3

var name = "Mustermann";
//...

document.write("Name: "+name+"<br>");
//...
`
        },


        {
            "id": "3",
            "pos": 4,
            "lfs": "L2.4",
            "title": "Rechenoperationen",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_4 Information Rechenoperatoren",
                    "url": "tasks/bgbwV1/docs/L2_4 Information Rechenoperatoren.pdf"
                },
                {
                    "title": "L2_4 Arbeitsauftrag Rechenoperatoren",
                    "url": "tasks/bgbwV1/docs/L2_4 Arbeitsauftrag Rechenoperatoren.pdf"
                }
            ],
            "task": `Entwerfen Sie ein Programm, das die Rechenoperationen plus, minus, mal, geteilt und hoch durch-führt. Definieren Sie dazu 
                    zwei Variablen, die Sie für die Berechnungen nutzen. Am Ende wird das Ergebnis im Browser oder in einem Dialogfenster ausgegeben.`,
            "template": `//Aufgabe 2.4
`
        },


        {
            "id": "4",
            "pos": 5,
            "lfs": "L2.5.1",
            "title": "Eingabe mit prompt() - Kreisberechnung",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_5.1 Information_Eingabe_prompt_String",
                    "url": "tasks/bgbwV1/docs/L2_5.1 Information_Eingabe_prompt_String.pdf"
                },
                {
                    "title": "L2_5.1 Arbeitsauftrag Eingabe prompt Kreis",
                    "url": "tasks/bgbwV1/docs/L2_5.1 Arbeitsauftrag Eingabe prompt Kreis.pdf"
                }
            ],
            "task": `Schreiben Sie ein Programm, das die Kreisfläche eines Kreises berechnet. Der Benutzer soll den Radius
                in einem Dialogfenster eingeben. Die Ausgabe der Kreisfläche erfolgt ebenfalls im Dialogfenster.
                Die Kreisfläche berechnet sich nach der Formel Kreisfläche = Radius * Radius * Pi`,
            "template": `//Aufgabe 2.5.1
`
        },


        {
            "id": "5",
            "pos": 6,
            "lfs": "L2.5.2",
            "title": "Eingabe mit prompt() - Rechteck",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_5.1 Information_Eingabe_prompt_String",
                    "url": "tasks/bgbwV1/docs/L2_5.2 Information_Eingabe_prompt_Zahlen.pdf"
                },
                {
                    "title": "L2_5.2 Arbeitsauftrag Eingabe prompt Rechteck",
                    "url": "tasks/bgbwV1/docs/L2_5.2 Arbeitsauftrag Eingabe prompt Rechteck.pdf"
                }
            ],
            "task": `Schreiben Sie ein Programm, das den Umfang und die Fläche eines Rechtecks berechnet. Der Benutzer
                gibt die Länge und die Breite des Rechtecks in einem Dialogfenster ein. Die Ausgabe erfolgt wiederum
                im Dialogfenster.`,
            "template": `//Aufgabe 2.5.2
`
        },


        {
            "id": "6",
            "pos": 7,
            "lfs": "L2.6.1",
            "title": "Funktionen ohne und mit Parametern",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_6.1.1 Information_Funktion_ohne_Parameter",
                    "url": "tasks/bgbwV1/docs/L2_6.1.1 Information_Funktion_ohne_Parameter.pdf"
                },
                {
                    "title": "L2_6.1.2 Information_Funktion_mit_Parameter",
                    "url": "tasks/bgbwV1/docs/L2_6.1.2 Information_Funktion_mit_Parameter.pdf"
                },
                {
                    "title": "L2_6.1 Arbeitsauftrag Funktion Höhenmeter",
                    "url": "tasks/bgbwV1/docs/L2_6.1 Arbeitsauftrag Funktion Höhenmeter.pdf"
                }
            ],
            "task": `Die Siedetemperatur von Wasser beträgt auf Höhe des Meeresspiegels 100 Grad Celsius. Bei zunehmender
            Höhe verringert sich die Siedetemperatur um 1 Grad Celsius pro 300 Höhenmeter.
            Entwerfen Sie ein Programm, mit dem man mit Hilfe der Siedetemperatur des Wassers die aktuelle
            Höhe bestimmen kann.
            Verwenden Sie dazu eine Funktion, die die Siedetemperatur als Parameter empfängt und die Höhe als
            Ergebnis zurückliefert.
            Die Höhe in kann dann mit folgender Gleichung berechnet werden:
            
            <p>Höhe = 30000 – 300 * Siedetemperatur</p>

            Ab welcher Höhe fängt der menschliche Körper an zu kochen?`,
            "template": `//Aufgabe 2.6.1.1
`
        },


        {
            "id": "7",
            "pos": 8,
            "lfs": "L2.6.2",
            "title": "Funktionen mit Rückgabewert Parametern",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_6.2 Information_Funktion_mit_Rückgabewert",
                    "url": "tasks/bgbwV1/docs/L2_6.2 Information_Funktion_mit_Rückgabewert.pdf"
                },
                {
                    "title": "L2_6.2 Arbeitsauftrag Funktion Urlaubsfahrt",
                    "url": "tasks/bgbwV1/docs/L2_6.2 Arbeitsauftrag Funktion Urlaubsfahrt.pdf"
                }
            ],
            "task": `Sie möchten in den Ferien mit dem Auto in den Urlaub fahren. Schreiben Sie ein Programm, das die
            Benzinkosten für ihre Urlaubsfahrt berechnet. Benutzen Sie eine Funktion mit Parameter und Rückgabewert.
            Folgende Parameter soll diese Funktion erhalten: Benzinpreis, durchschnittlicher Verbrauch des Autos
            auf 100 km, zurückgelegte Strecke.`,
            "template": `//Aufgabe 2.6.2
`
        },


        {
            "id": "9",
            "pos": 10,
            "lfs": "L2.7.1",
            "title": "Eingabe eines Strings mit Input",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_7.1.1 Information_Eingabe _input_String",
                    "url": "tasks/bgbwV1/docs/L2_7.1.1 Information_Eingabe _input_String.pdf"
                },
                {
                    "title": "L2_7.1.2 Information_Eingabe _input_Zahl",
                    "url": "tasks/bgbwV1/docs/L2_7.1.2 Information_Eingabe _input_Zahl.pdf"
                },
                {
                    "title": "L2_7.1 Arbeitsauftrag input Höhenmeter",
                    "url": "tasks/bgbwV1/docs/L2_7.1 Arbeitsauftrag input Höhenmeter.pdf"
                }
            ],
            "task": `Die Siedetemperatur von Wasser beträgt auf Höhe des Meeresspiegels 100 Grad Celsius. Bei zunehmender
            Höhe verringert sich die Siedetemperatur um 1 Grad Celsius pro 300 Höhenmeter.
            Entwerfen Sie ein Programm, mit dem man mithilfe der Siedetemperatur des Wassers, die aktuelle
            Höhe bestimmen kann.
            Die Eingabe der Daten soll im Browserfenster erfolgen. Mit einem Aktionsbutton soll eine Funktion
            aufgerufen werden, die die Berechnung durchführt und das Ergebnis in einem Browserfenster ausgibt.`,
            "template": `//Aufgabe 2.7.1
`
        },


        {
            "id": "10",
            "pos": 11,
            "lfs": "L2.7.2",
            "title": "Eingabe über input - Urlaubsfahrt",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_7.1.1 Information_Eingabe _input_String",
                    "url": "tasks/bgbwV1/docs/L2_7.1.1 Information_Eingabe _input_String.pdf"
                },
                {
                    "title": "L2_7.1.2 Information_Eingabe _input_Zahl",
                    "url": "tasks/bgbwV1/docs/L2_7.1.2 Information_Eingabe _input_Zahl.pdf"
                },
                {
                    "title": "L2_7.2 Arbeitsauftrag input Urlaubsfahrt",
                    "url": "tasks/bgbwV1/docs/L2_7.2 Arbeitsauftrag input Urlaubsfahrt.pdf"
                }
            ],
            "task": `Sie möchten in den Ferien mit dem Auto in den Urlaub fahren. Schreiben Sie ein Programm, das die
            Benzinkosten für ihre Urlaubsfahrt berechnet. Die Eingabe soll im Browserfenster erfolgen. Mit einem
            Aktionsbutton soll dann die Berechnung gestartet werden. Dabei wird eine Funktion aufgerufen, die
            das Ergebnis in einem Browserfenster ausgibt.`,
            "template": `//Aufgabe 2.7.2
`
        },


        {
            "id": "11",
            "pos": 12,
            "lfs": "L2.8.1",
            "title": "Vertiefungsaufgabe Taschenrechner",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_8.1 Arbeitsauftrag Vertiefung Taschenrechner",
                    "url": "tasks/bgbwV1/docs/L2_8.1 Arbeitsauftrag Vertiefung Taschenrechner.pdf"
                }
            ],
            "task": `Erstellen Sie einen Rechner, mit dem man die vier Grundrechenarten durchführen kann. Das Programm
            soll zwei Zahlen verarbeiten, die über das Browserfenster eingegeben werden. Die Berechnung
            erfolgt dann durch das Drücken eines der vier Aktionsknöpfe. Die Ausgabe erfolgt im Browser.`,
            "template": `//Aufgabe 2.8.1
`
        },


        {
            "id": "12",
            "pos": 13,
            "lfs": "L2.8.2",
            "title": "Vertiefungsaufgabe Würfel",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L2_8.2 Arbeitsauftrag Vertiefung Würfel",
                    "url": "tasks/bgbwV1/docs/L2_8.2 Arbeitsauftrag Vertiefung Würfel.pdf"
                }
            ],
            "task": `Realisieren Sie ein Programm, das auf Knopfdruck einen Würfelwurf simuliert.
            Recherchieren Sie im Internet, mit welchen Funktionen ganzzahlige Zufallszahlen in JavaScript generiert
            werden können. Auf Knopfdruck soll die gewürfelte Zahl angezeigt werden.`,
            "template": `//Aufgabe 2.8.2
`
        },


        {
            "id": "13",
            "pos": 14,
            "lfs": "L3.1.1",
            "title": "Die einseitige if-Anweisung / Verzweigung",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_1.1 Information_Verzweigungen_einseitig",
                    "url": "tasks/bgbwV1/docs/L3_1.1 Information_Verzweigungen_einseitig.pdf"
                },
                {
                    "title": "L3_1.1 Arbeitsauftrag if Abiball",
                    "url": "tasks/bgbwV1/docs/L3_1.1 Arbeitsauftrag if Abiball.pdf"
                }
            ],
            "task": `In diesem Projekt soll überprüft werden, welcher Betrag zu zahlen ist, wenn eine Karte für den Abiball
            30,00 Euro kostet und für Bestellungen von drei oder mehr Karten ein Rabatt von 20% gewährt wird.`,
            "template": `//Aufgabe 3.1.1
function berechnen() {

}


Kartenanzahl.value = "";

Ergebnis.innerHTML = "?";

Berechne_Zahlungsbetrag.onclick = berechnen;
`
        },


        {
            "id": "14",
            "pos": 15,
            "lfs": "L3.1.2",
            "title": "Die zweiseitige if-Anweisung / Verzweigung",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_1.2 Information_Verzweigungen_zweiseitig",
                    "url": "tasks/bgbwV1/docs/L3_1.2 Information_Verzweigungen_zweiseitig.pdf"
                },
                {
                    "title": "L3_1.2 Arbeitsauftrag if else Preisvorschlag",
                    "url": "tasks/bgbwV1/docs/L3_1.2 Arbeitsauftrag if else Preisvorschlag.pdf"
                }
            ],
            "task": `In diesem Projekt können Gebote für einen zum Kauf angebotenen Artikel abgegeben werden. In dem
            Programmcode ist der Mindestpreis (hier 24.99) hinterlegt. Ist der von dem Anwender vorgeschlagene
            Kaufpreis geringer, wird der Text „Ihr Angebotspreis liegt unterhalb des Mindestpreises!“ ausgegeben.
            Andernfalls erscheint der Text „Herzlichen Glückwunsch, Sie haben den Artikel erworben!“.`,
            "template": `//Aufgabe 3.1.2
function berechnen() {

}


Preisvorschlag.value = "";

Ergebnis.innerHTML = "?";

Pruefen.onclick = berechnen;
`
        },


        {
            "id": "15",
            "pos": 16,
            "lfs": "L3.1.3",
            "title": "Die verschachtelte if-Anweisung",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_1.3 Information_Verzweigungen_verschachtelt",
                    "url": "tasks/bgbwV1/docs/L3_1.3 Information_Verzweigungen_verschachtelt.pdf"
                },
                {
                    "title": "L3_1.2 Arbeitsauftrag if else Preisvorschlag",
                    "url": "tasks/bgbwV1/docs/L3_1.2 Arbeitsauftrag if else Preisvorschlag.pdf"
                }
            ],
            "task": `Schreiben Sie ein Programm, das den Mietzuschuss in Abhängigkeit vom Mietpreis berechnet.
            Bei einer Miete von weniger als 500,00 Euro beträgt der Zuschuss 2%. Von 500,00 Euro bis unter
            1000,00 Euro beträgt der Zuschuss 5% und ab 1000,00 Euro erhält man einen Zuschuss von 7%.`,
            "template": `//Aufgabe 3.1.3
function berechnen() {

}


Miete.value = "";

Ergebnis.innerHTML = "?";

Berechnen.onclick = berechnen;
`
        },


        {
            "id": "16",
            "pos": 17,
            "lfs": "L3.1.4",
            "title": "Verzweigung mit logischen Operatoren",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_1.4 Information_Verzweigung_logische_Operatoren",
                    "url": "tasks/bgbwV1/docs/L3_1.4 Information_Verzweigung_logische_Operatoren.pdf"
                },
                {
                    "title": "L3_1.4 Arbeitsauftrag if logische Operatoren Führerschein",
                    "url": "tasks/bgbwV1/docs/L3_1.4 Arbeitsauftrag if logische Operatoren Führerschein.pdf"
                }
            ],
            "task": `In diesem Projekt soll überprüft werden, ob eine Anmeldung zur Führerscheinprüfung möglich ist
            oder nicht. Die Bedingung für eine Zulassung lautet wie folgt:
            Der Fahrschüler muss mindestens 17 Jahre alt sein und mindestens 16 Theoriestunden absolviert haben.`,
            "template": `//Aufgabe 3.1.4
function berechnen() {

}


Alter.value = "";
Theoriestunden.value = "";

Ergebnis.innerHTML = "?";

Berechnen.onclick = berechnen;
`
        },


        {
            "id": "17",
            "pos": 18,
            "lfs": "L3.1.5",
            "title": "Verzweigung mit logischen Operatoren (ODER)",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_1.4 Information_Verzweigung_logische_Operatoren",
                    "url": "tasks/bgbwV1/docs/L3_1.4 Information_Verzweigung_logische_Operatoren.pdf"
                },
                {
                    "title": "L3_1.5 Arbeitsauftrag if logische Operatoren Eintritt",
                    "url": "tasks/bgbwV1/docs/L3_1.5 Arbeitsauftrag if logische Operatoren Eintritt.pdf"
                }
            ],
            "task": `In diesem Projekt soll überprüft werden, ob ein Besucher eines Tierparks ein Kind (bis 12 Jahre) oder
            ein Senior (über 60 Jahre) ist. Kinder und Senioren zahlen 8,00 Euro Eintritt, für alle anderen beträgt
            der Eintrittspreis 12,00 Euro.`,
            "template": `//Aufgabe 3.1.5
function berechnen() {
    
}


Alter.value = "";
Eintrittspreis.innerHTML = "?";
Ergebnis.onclick = berechnen;
`
        },


        {
            "id": "18",
            "pos": 19,
            "lfs": "L3.1.6",
            "title": "Verzweigung mit logischen Operatoren (NICHT)",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_1.4 Information_Verzweigung_logische_Operatoren",
                    "url": "tasks/bgbwV1/docs/L3_1.4 Information_Verzweigung_logische_Operatoren.pdf"
                },
                {
                    "title": "L3_1.6 Arbeitsauftrag if logische Operatoren Autovermietung",
                    "url": "tasks/bgbwV1/docs/L3_1.6 Arbeitsauftrag if logische Operatoren Autovermietung.pdf"
                }
            ],
            "task": `Die Rent A Car, Stuttgart, vermietet Oldtimer für 50,00 pro Tag. Alle Kunden, die nicht in Stuttgart
            wohnen, erhalten einen Sonderrabatt von 10%.
            Das Projekt soll nach Eingabe des Wohnorts und der Mietdauer die Mietkosten ermitteln und anzeigen.`,
            "template": `//Aufgabe 3.1.6
function berechnen() {

}


Wohnort.value = "";
Mietdauer.value = "";

Ergebnis.innerHTML = "?";

Mietkosten_berechnen.onclick = berechnen;
`
        },


        {
            "id": "19",
            "pos": 20,
            "lfs": "L3.2.1",
            "title": "Die for-Schleife (Zählerschleife)",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_2.1 Information_for_Schleife",
                    "url": "tasks/bgbwV1/docs/L3_2.1 Information_for_Schleife.pdf"
                },
                {
                    "title": "L3_2.1 Arbeitsauftrag for Taschengeld",
                    "url": "tasks/bgbwV1/docs/L3_2.1 Arbeitsauftrag for Taschengeld.pdf"
                }
            ],
            "task": `Schreiben Sie ein Programm, das den Betrag des Taschengelds in Abhängigkeit vom Alter ausgibt. Das
            Taschengeld wir vom 6. bis zum 21. Lebensjahr ausgezahlt. Dabei sind der Anfangsbetrag und die jährliche
            Erhöhung vom Benutzer einzugeben.`,
            "template": `//Aufgabe 3.2.1
function berechnen() {
    
}


Taschengeld_im_ersten_Jahr.value = "";
Jaehrliche_Taschengelderhoehung.value = "";

Ergebnis.innerHTML = "?";

Berechnen.onclick = berechnen;
`
        },


        {
            "id": "20",
            "pos": 21,
            "lfs": "L3.2.2",
            "title": "Die while-Schleife (Zählerschleife)",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_2.2 Information_while_Schleife",
                    "url": "tasks/bgbwV1/docs/L3_2.2 Information_while_Schleife.pdf"
                },
                {
                    "title": "L3_2.2 Arbeitsauftrag while Fischteich",
                    "url": "tasks/bgbwV1/docs/L3_2.2 Arbeitsauftrag while Fischteich.pdf"
                }
            ],
            "task": `Der Fischbestand eines Teichs beträgt zu Beginn eines Jahres drei Fische. Jedes Jahr verdoppelt sich
            der Fischbestand.
            Erstellen Sie ein Programm, das die Dauer in Jahren ermittelt, bis ein bestimmter, vom Anwender einzugebender
            Fischbestand erreicht bzw. überschritten wird.`,
            "template": `//Aufgabe 3.2.2
function berechnen() {
    
}


Zu_erreichender_Fischbestand.value = "";

Ergebnis.innerHTML = "?";

Berechnen.onclick = berechnen;
`
        },


        {
            "id": "21",
            "pos": 22,
            "lfs": "L3.3.1",
            "title": "Vertiefung - For-Schleife – Finanzanlage",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_3.1 Arbeitsauftrag Vertiefung for Finanzanlage",
                    "url": "tasks/bgbwV1/docs/L3_3.1 Arbeitsauftrag Vertiefung for Finanzanlage.pdf"
                }
            ],
            "task": `In diesem Projekt soll überprüft werden, welchen Zielwert eine Finanzanlage, die zu einem bestimmten
            Zinssatz für eine bestimme Anlagedauer (in Jahren) durch Zinseszins-Vermehrung erreicht. Für
            jedes Jahr, die die Finanzanlage läuft, soll der Wert am Ende des Jahres ausgegeben werden.`,
            "template": `//Aufgabe 3.3.1
function verzinseJahre() {
    
}


Anlagebetrag.value = "";
Prozentualer_Zinssatz.value = "";
Anzahl_der_Jahre.value = "";

Ergebnis.innerHTML = "?";

Berechnen.onclick = verzinseJahre;
`
        },


        {
            "id": "22",
            "pos": 23,
            "lfs": "L3.3.2",
            "title": "Vertiefung - While-Schleife – Zielwert Verzingsung",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_3.2 Arbeitsauftrag Vertiefung while Zielwert Verzinsung",
                    "url": "tasks/bgbwV1/docs/L3_3.2 Arbeitsauftrag Vertiefung while Zielwert Verzinsung.pdf"
                }
            ],
            "task": `In diesem Projekt soll überprüft werden, wie viele Jahre es dauert, bis ein Betrag, der zu einem bestimmten
            Zinssatz angelegt wird, einen gewünschten Zielwert durch Zinseszins-Vermehrung mindestens
            erreicht. Dabei sollen die Jahresendwerte der Finanzanlage jeweils ausgegeben werden.`,
            "template": `//Aufgabe 3.3.2
function anlagedauer() {
    
}


Anlagebetrag.value = "";
Prozentualer_Zinssatz.value = "";
Zielwert.value = "";

Ergebnis.innerHTML = "?";

Berechnen.onclick = anlagedauer;
`
        },


        {
            "id": "23",
            "pos": 24,
            "lfs": "L3.3.3",
            "title": "Vertiefung - Verschachtelte if-Verzweigung",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_3.3 Arbeitsauftrag Vertiefung if verschachtelt Anmeldung BG",
                    "url": "tasks/bgbwV1/docs/L3_3.3 Arbeitsauftrag Vertiefung if verschachtelt Anmeldung BG.pdf"
                }
            ],
            "task": `In diesem Projekt soll überprüft werden, ob eine Anmeldung mit einem mittleren Bildungsabschluss
            an einem beruflichen Gymnasium in Baden-Württemberg möglich ist oder nicht. Die Bedingungen
            dafür lauten wie folgt:
            Abschlusszeugnis (Mittlerer Bildungsabschluss) der Realschule, der zweijährigen Berufsfachschule, der
            Berufsaufbauschule oder der Werkrealschule mit einem Notendurchschnitt von mindestens 3,0 aus
            Deutsch, Mathematik und Englisch (kein Fach schlechter als Note ausreichend).`,
            "template": `//Aufgabe 3.3.3
function pruefen() {
    
}


Note_Fach_Deutsch.value = "";
Note_Fach_Englisch.value = "";
Note_Fach_Mathematik.value = "";

Ergebnis.innerHTML = "?";

Ueberpruefen.onclick = pruefen;
`
        },


        {
            "id": "24",
            "pos": 25,
            "lfs": "L3.3.4",
            "title": "Vertiefung - Logische Operatoren (UND)",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_3.4 Arbeitsauftrag Vertiefung if logische Operatoren Anmeldung BG",
                    "url": "tasks/bgbwV1/docs/L3_3.4 Arbeitsauftrag Vertiefung if logische Operatoren Anmeldung BG.pdf"
                }
            ],
            "task": `In diesem Projekt soll der gleiche Sachverhalt wie in L3_3_3 erarbeitet werden. Hier sollen jedoch
            logische Operatoren anstelle einer Verschachtelung der Verzweigungen verwendet werden.`,
            "template": `//Aufgabe 3.3.4
function pruefen() {
    
}


Note_Fach_Deutsch.value = "";
Note_Fach_Englisch.value = "";
Note_Fach_Mathematik.value
Ergebnis.innerHTML = "?";

Ueberpruefen.onclick = pruefen;
`
        },


        {
            "id": "25",
            "pos": 26,
            "lfs": "L3.3.5",
            "title": "Vertiefung - If Währungsrechner (AND / NOT)",
            "hint": "Beachten Sie zur Bearbeitung der nachfolgenden Aufgabenstellungen das Informationsmaterial",
            "material": [
                {
                    "title": "L3_3.5 Arbeitsauftrag Vertiefung if Währungsrechner",
                    "url": "tasks/bgbwV1/docs/L3_3.5 Arbeitsauftrag Vertiefung if Währungsrechner.pdf"
                }
            ],
            "task": `Erstellen Sie einen Rechner, der die Währungen Euro und Dollar gegenseitig umrechnet. Dazu benötigen
            Sie den Wechselkurs, die umzurechnende Geldmenge und die Angabe, ob man in Dollar oder Euro
            wechseln möchte.
            Zusätzlich überprüft das Programm, ob die Eingabe des Benutzers ein „$“ bzw. ein „€“ ist, und ob für
            den Wechselkurs und die Geldmenge eine Zahl eingegeben wurde. Dies geschieht unter der Verwendung
            der JavaScript-Methode isNaN(). Der Methodenname ist eine Abkürzung für „is not a number“
            und liefert true, falls der übergebene Parameter kein Zahlenwert ist, und false, falls es ein Zahlenwert
            ist.`,
            "template": `//Aufgabe 3.3.5

function umrechnen() {
    
}


Waehrung.value = "";
Wechselkurs.value = "";
Betrag.value = "";

Ergebnis.innerHTML = "?";

Umrechnung.onclick = umrechnen;`
        }



    ]
}